### Name: Fest
### Title: Estimate the empty space function F
### Aliases: Fest empty.space
### Keywords: spatial

### ** Examples

   library(spatstat)
   data(cells)
   Fc <- Fest(cells, 0.01)
   ##Don't run: 
##D        plot(Fc$r, Fc$km, type="l")
##D        plot(km ~ r, type="l", data=Fc)
##D        # restrict the plot to values of r less than 0.1
##D        plot(km ~ r, type="l", data=Fc[Fc$r <= 0.1, ])
##D        plot(km ~ r, type="l", data=Fc, subset=(r <= 0.1))
##D    
   # simulated data
   pp <- runifpoint(50)
   Fpp <- Fest(pp, 0.01)
   ##Don't run: 
##D         plot(Fpp$r, Fpp$km, type="l", xlab="r", ylab="F(r)", ylim=c(0,1),
##D         main = "empty space function")
##D         r <- Fpp$r
##D         lines(r, Fpp$theo, lty=2)
##D         legend(0.5, 2, c("Kaplan-Meier estimator", "Poisson process"), 
##D                    lty=c(1,2))
##D    



