### Name: Gcross
### Title: Multitype Nearest Neighbour Distance Function (i-to-j)
### Aliases: Gcross
### Keywords: spatial

### ** Examples

    ##Don't run: library(spatstat)
    data(ganglia)
     # cat retina data
    G01 <- Gcross(ganglia, "off", "on") 
    ##Don't run: 
##D     plot(G01$r, G01$km,
##D                 xlab="r", ylab="G01(r)",
##D                 type="l", ylim=c(0,1))
##D     # Poisson theoretical curve
##D     lines(G01$r, G01$theo, lty=2)
##D     
    # empty space function of `on' points
    ##Don't run: 
##D        F1 <- Fest(ganglia[ganglia$marks == "on"], r = G01$r, eps=0.01)
##D        lines(F1$r, F1$km, lty=3)
##D     

    # synthetic example    
    pp <- runifpoispp(50)
    pp$marks <- factor(sample(0:1, pp$n, replace=TRUE))
    G <- Gcross(pp, "0", "1")   # note: "0" not 0



