### Name: Jcross
### Title: Multitype J Function (i-to-j)
### Aliases: Jcross
### Keywords: spatial

### ** Examples

    ##Don't run: library(spatstat)
     # Lansing woods data: 6 types of trees
    data(lansing)

    ##Don't run: 
##D     Jhm <- Jcross(lansing, "hickory", "maple")
##D     
    
    sub <- lansing[seq(1,lansing$n, by=30), ]
    Jhm <- Jcross(sub, "hickory", "maple") 
    
    # diagnostic plot for independence between hickories and maples
    ##Don't run: 
##D        plot(Jhm$r, Jhm$J,
##D                   xlab="r", ylab="Jhm(r)", type="l")
##D        abline(h=1, lty=2)
##D     

    # synthetic example with two marks "a" and "b"
    pp <- runifpoispp(50)
    pp$marks <- sample(c("a","b"), pp$n, replace=TRUE)
    J <- Jcross(pp, "a", "b")



