### Name: Kinhom
### Title: Inhomogeneous K-function
### Aliases: Kinhom
### Keywords: spatial

### ** Examples

  ##Don't run: 
##D   library(spatstat)
##D   

  data(lansing)
  # inhomogeneous pattern of maples
  X <- unmark(lansing[lansing$marks == "maple",])
  
     sub <- sample(c(TRUE,FALSE), X$n, replace=TRUE, prob=c(0.1,0.9))
     X <- X[sub , ]
  
  # fit spatial trend
  fit <- mpl(X, ~ polynom(x,y,2), Poisson())
  # predict intensity values at points themselves
  lambda <- predict(fit, newdata=data.frame(x=X$x, y=X$y), type="trend")
  # inhomogeneous K function
  Ki <- Kinhom(X, lambda)
  ##Don't run: 
##D     conspire(Ki, cbind(K, theo) ~ r, subset="r <= 0.4")
##D   

  # SIMULATED DATA
  # known intensity function
  lamfun <- function(x,y) { 100 * x }
  # inhomogeneous Poisson process
  Y <- rpoispp(lamfun, 100, owin())
  # evaluate intensity at points of pattern
  lambda <- lamfun(Y$x, Y$y)
  # inhomogeneous K function
  Ki <- Kinhom(Y, lambda)
  ##Don't run: 
##D     conspire(Ki, cbind(K, theo) ~ r, subset="r <= 0.2")
##D   



