### Name: alltypes
### Title: Calculate Statistic for All Types in a Multitype Point Pattern
### Aliases: alltypes
### Keywords: spatial

### ** Examples

   ##Don't run: library(spatstat)
   # bramblecanes (3 marks).
   data(bramblecanes)
   ##Don't run: 
##D    X.F <- alltypes(bramblecanes,fun="F",verb=TRUE)
##D    plot(X.F) 
##D    X.G <- alltypes(bramblecanes,fun="G",verb=TRUE)
##D    X.J <- alltypes(bramblecanes,fun="J",verb=TRUE)
##D    X.K <- alltypes(bramblecanes,fun="K",verb=TRUE)
##D    
   
      # smaller dataset
      bram <- bramblecanes[seq(1, bramblecanes$n, by=20), ]
      X.F <- alltypes(bram,fun="F",verb=TRUE)
      X.G <- alltypes(bram,fun="G",verb=TRUE)
      X.J <- alltypes(bram,fun="J",verb=TRUE)
      X.K <- alltypes(bram,fun="K",verb=TRUE)
   
   
   # Swedishpines (unmarked).
   data(swedishpines)
   X.F <- alltypes(swedishpines,fun="F")
   X.G <- alltypes(swedishpines,fun="G")
   X.J <- alltypes(swedishpines,fun="J")
   X.K <- alltypes(swedishpines,fun="K")

   # simulated data
   ##Don't run: 
##D    pp <- runifpoint(350, owin(c(0,1),c(0,1)))
##D    pp$marks <- factor(c(rep(1,50),rep(2,100),rep(3,200)))
##D    X.F <- alltypes(pp,fun="F",verb=TRUE,dataname="Fake Data")
##D    X.G <- alltypes(pp,fun="G",verb=TRUE,dataname="Fake Data")
##D    X.J <- alltypes(pp,fun="J",verb=TRUE,dataname="Fake Data")
##D    X.K <- alltypes(pp,fun="K",verb=TRUE,dataname="Fake Data")
##D    

   # A setting where you might REALLY want to use dataname:
   ##Don't run: 
##D    xxx <- alltypes(ppp(Melvin$x,Melvin$y,
##D                 window=as.owin(c(5,20,15,50)),marks=clyde),
##D                 fun="F",verb=TRUE,dataname="Melvin")
##D    



