### Name: fitted.ppm
### Title: Fitted Conditional Intensity for Point Process Model
### Aliases: fitted.ppm
### Keywords: spatial

### ** Examples

    require(spatstat)
    data(cells)
    str <- mpl(cells, ~x, Strauss(r=0.15), rbord=0.15)
    lambda <- fitted(str)

    # extract quadrature points in corresponding order
    quadpoints <- union.quad(quad.ppm(str))

    # plot conditional intensity values
    # as circles centred on the quadrature points 
    quadmarked <- setmarks(quadpoints, lambda)
    plot(quadmarked)



