### Name: plot.ppp
### Title: plot a Spatial Point Pattern
### Aliases: plot.ppp
### Keywords: spatial

### ** Examples

   ##Don't run: 
##D    library(spatstat)
##D 
##D    data(cells)
##D    plot(cells)
##D 
##D    # multitype 
##D    data(lansing)
##D    plot(lansing)
##D 
##D    # marked by a real number
##D    data(longleaf)
##D    plot(longleaf)
##D 
##D    # just plot the points
##D    plot(longleaf, use.marks=FALSE)
##D    plot(unmark(longleaf)) # equivalent
##D 
##D    # controlling COLOURS
##D    plot(cells, col="blue")
##D    plot(lansing, cols=c("black", "yellow", "green", "pink",
##D                         "blue","red","white")
##D    plot(longleaf, fg="blue")
##D 
##D    # use selected plot characters
##D    lma <- sort(unique(longleaf$marks))
##D    adult <- ifelse(lma >= 30, "o", "+")
##D    plot(longleaf, chars = adult)
##D 
##D    # make the plotting symbols larger (for publication at reduced scale)
##D    plot(cells, cex=2)
##D 
##D   



