### Name: subset.ppp
### Title: Extract Subset of Point Pattern
### Aliases: subset.ppp [.ppp
### Keywords: spatial

### ** Examples

 ##Don't run: library(spatstat)

 data(longleaf)
 # Longleaf pines data
 ##Don't run: 
##D  plot(longleaf)
##D  
 # adult trees defined to have diameter at least 30 cm
 adult <- (longleaf$marks >= 30)
 longadult <- longleaf[adult]
 # equivalent to: longadult <- subset.ppp(longleaf, subset=adult)
 ##Don't run: 
##D  plot(longadult)
##D  
 # note that the marks are still retained.
 # Use unmark(longadult) to remove the marks
 
 # New Zealand trees data
 data(nztrees)
 ##Don't run: 
##D  plot(nztrees)          # plot shows a line of trees at the far right
##D  abline(v=148, lty=2)   # cut along this line
##D  
 nzw <- owin(c(0,148),c(0,95)) # the subwindow
 # trim dataset to this subwindow
 nzsub <- nztrees[,nzw]
 # equivalent to: nzsub <- subset.ppp(nztrees, window=nzw)
 ##Don't run: 
##D  plot(nzsub)
##D  

 # Redwood data
 data(redwood) 
 ##Don't run: 
##D  plot(redwood)
##D  
 # Random thinning: delete 60% of data
 retain <- (runif(redwood$n) < 0.4)
 thinred <- redwood[retain]
 ##Don't run: 
##D  plot(thinred)
##D  

 # Lansing woods data - multitype points
 data(lansing)
 # hickory trees only
 hick <- lansing[lansing$marks == "hickory", ]
 # still a marked pattern -- remove marks
 hick <- unmark(hick)
 



